Bug 206445 - ia64: unaligned access errors seen during startup of avahi-daemon
ia64: unaligned access errors seen during startup of avahi-daemon
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: avahi (Show other bugs)
5.0
ia64 Linux
medium Severity medium
: ---
: ---
Assigned To: Martin Stransky
:
Depends On: 179448
Blocks:
  Show dependency treegraph
 
Reported: 2006-09-14 10:01 EDT by Bastien Nocera
Modified: 2007-11-30 17:07 EST (History)
5 users (show)

See Also:
Fixed In Version: 5.0.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-12-19 10:48:26 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
avahi-0.6.5-bz179448.3.patch (1.35 KB, patch)
2006-09-14 10:01 EDT, Bastien Nocera
no flags Details | Diff
avahi-0.6.11-align.patch (976 bytes, patch)
2006-09-18 05:13 EDT, Bastien Nocera
no flags Details | Diff

  None (edit)
Description Bastien Nocera 2006-09-14 10:01:28 EDT
+++ This bug was initially created as a clone of Bug #179448 +++

Description of problem: 
 
Whe the avahi-daemon starts, unaligned access errors are sent to the console. 
 
Version-Release number of selected component (if applicable): 
 
avahi-0.6.5-1 from latest devel builds 
 
How reproducible: 100% 
 
 
Steps to Reproduce: 
1. boot system 
   
Actual results: 
 
 avahi-daemon(28929): unaligned access to 0x60000fffffeef2c4, 
ip=0x20000000000b20c1 
avahi-daemon(28929): unaligned access to 0x60000fffffeef2e4, 
ip=0x20000000000b1ec0 
avahi-daemon(28929): unaligned access to 0x60000fffffeef2e4, 
ip=0x20000000000b2061 
avahi-daemon(28929): unaligned access to 0x60000fffffeef2c4, 
ip=0x20000000000b20c1 
 
Expected results: 
 
No warnings should be seen. 
 
Additional info: 
 
I haven't had much time to debug further.  gdb output that is probably useful: 
 
[root@altix2 home]# prctl --unaligned=signal gdb /usr/sbin/avahi-daemon 
GNU gdb Red Hat Linux (6.3.0.0-1.98rh) 
Copyright 2004 Free Software Foundation, Inc. 
GDB is free software, covered by the GNU General Public License, and you are 
welcome to change it and/or distribute copies of it under certain conditions. 
Type "show copying" to see the conditions. 
There is absolutely no warranty for GDB.  Type "show warranty" for details. 
This GDB was configured as "ia64-redhat-linux-gnu"... 
(no debugging symbols found) 
Using host libthread_db library "/lib/libthread_db.so.1". 
 
(gdb) run 
Starting program: /usr/sbin/avahi-daemon  
Reading symbols from shared object read from target memory...(no debugging 
symbols found)...done. 
Loaded system supplied DSO at 0xa000000000000000 
(no debugging symbols found) 
(no debugging symbols found) 
(no debugging symbols found) 
(no debugging symbols found) 
(no debugging symbols found) 
(no debugging symbols found) 
(no debugging symbols found) 
(no debugging symbols found) 
(no debugging symbols found) 
(no debugging symbols found) 
[Thread debugging using libthread_db enabled] 
[New Thread 2305843009219350000 (LWP 28957)] 
(no debugging symbols found) 
(no debugging symbols found) 
Found user 'avahi' (UID 70) and group 'avahi' (GID 70). 
Successfully dropped root privileges. 
Detaching after fork from child process 28960. 
avahi-daemon 0.6.5 starting up. 
WARNING: No NSS support for mDNS detected, consider installing nss-mdns! 
Successfully called chroot(). 
Successfully dropped remaining capabilities. 
Failed to read service directory. 
New relevant interface eth0.IPv4 for mDNS. 
Joining mDNS multicast group on interface eth0.IPv4 with address 
192.168.79.54. 
Network interface enumeration completed. 
Registering new address record for 192.168.79.54 on eth0. 
Registering HINFO record with values 'IA64'/'LINUX'. 
 
Program received signal SIGBUS, Bus error. 
[Switching to Thread 2305843009219350000 (LWP 28957)] 
0x20000000000b20c1 in avahi_recv_dns_packet_ipv4 () 
   from /usr/lib/libavahi-core.so.3 
(gdb) trace 
trace command requires an argument 
(gdb) where 
#0  0x20000000000b20c1 in avahi_recv_dns_packet_ipv4 () 
   from /usr/lib/libavahi-core.so.3 
#1  0x20000000000a26c0 in mcast_socket_event () 
   from /usr/lib/libavahi-core.so.3 
#2  0x2000000000070300 in avahi_simple_poll_dispatch () 
   from /usr/lib/libavahi-common.so.3 
#3  0x2000000000071160 in avahi_simple_poll_iterate () 
   from /usr/lib/libavahi-common.so.3 
#4  0x4000000000009390 in ?? () 
Previous frame inner to this frame (corrupt stack?) 
(gdb)

-- Additional comment from jvdias@redhat.com on 2006-02-01 18:39 EST --
Upstream bug ticket #9 opened on this issue: http://avahi.org/ticket/9 


Jason's upstream patch is attached
Comment 1 Bastien Nocera 2006-09-14 10:01:36 EDT
Created attachment 136258 [details]
avahi-0.6.5-bz179448.3.patch
Comment 5 Bastien Nocera 2006-09-18 05:13:15 EDT
Created attachment 136520 [details]
avahi-0.6.11-align.patch

Updated patch that removes the parts already applied upstream.
Comment 6 Martin Stransky 2006-09-18 06:45:08 EDT
Applied to avahi-0.6.11-6.fc6
Comment 8 RHEL Product and Program Management 2006-10-26 16:12:49 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.
Comment 10 James Laska 2006-12-13 16:44:47 EST
Marking as VERIFIED based on comment#7

Note You need to log in before you can comment on or make changes to this bug.